View Issue Details

IDProjectCategoryView StatusLast Update
00301802.x IDE BugsImporting ProjectsPublic2018-11-16 16:08
ReporterDanAssigned ToSteven Campbell 
PriorityVery HighSeverityA - Crash/HangReproducibility<25%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.1 
Target Version2.2.1Fixed in Version2.2.1 
Summary0030180: Importing Projects (2.x): Dragging in a yyz/yyp to import when another project is open can cause "unstable"
DescriptionDragging in a yyz/yyp to import when another project is open can cause "unstable". I have now had this twice in the last couple of days - once with a yyp, once with a yyz. Have not so far reproduced with a gmz/gmx.


[09:27:50:894(90e5)] Exception in ,Void VerifyViewsIntegrity() : System.ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
   at System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   at YoYoStudio.Plugins.CorePlugins.ResourceTree.VerifyViewsIntegrity()
   at WeakDelegate(Object , Object[] )
   at YoYoStudio.Core.Utils.WeakDelegate`1.Invoke(Object[] _args)
[09:27:50:894(90e5)] Fatal Error! 'IDE.OnWeakDelegateException - Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index'
[09:27:50:894(90e5)] at System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   at YoYoStudio.Plugins.CorePlugins.ResourceTree.VerifyViewsIntegrity()
   at WeakDelegate(Object , Object[] )
   at YoYoStudio.Core.Utils.WeakDelegate`1.Invoke(Object[] _args)
Steps To Reproduce1. Start GMS2.
2, Open a project.
3. Drag in a different project's yyz/yyp file.
4. Say yes to importing the project rather than adding it to the current one.
5. Observe GMS2 switches to the new project and starts loading, but very quickly you get "GMS2 has become unstable" message along with failure to load resources in the new project.

Repro: Twice so far.
TagsIDE
2.x IDE Found In2.2.1.366
2.x Runtime Found In2.2.1.274
2.x IDE Verified In
2.x Runtime Verified In

Activities

Dan

2018-11-09 09:34

Adminstrator  

ui.log (253,036 bytes)

Steven Campbell

2018-11-15 14:32

Manager   ~0062059

Fixed in Red IDE/GitHub Pull Request 4353
Git Id: 3c148bea22cb248a09340b83cd0c89f8e796c2ad

I'm marking this as fixed as this will recreate any default view as necessary, but ideally would like a broken project to see if there's anything I can do to heal them

Dan

2018-11-16 11:20

Adminstrator   ~0062073

Fix is in 2.2.1.367+

Dan

2018-11-16 16:08

Adminstrator   ~0062090

All good in IDE v2.2.1.367 Runtime v2.2.1.278. Closing.